# -*- coding: utf-8 -*-
import scrapy


class ZolSpider(scrapy.Spider):
    name = 'zol'
    allowed_domains = ['zol.com.cn']
    start_urls = ['http://desk.zol.com.cn/bizhi/9319_113779_4.html']

    def parse(self, response):
        image_url = response.xpath('//img[@id="bigImg"]/@src').extract_first()
        image_name = response.xpath('string(//h3)').extract_first()
        yield {
            'image_urls': image_url,
            'image_name': image_name
        }
        next_url = response.xpath('//a[@id="pageNext"]/@href').extract_first()
        yield scrapy.Request(response.urljoin(next_url),callback=self.parse)
